commit 5fc235c70b3f15fd315529f352c5bcd3e7568145
Author: freddy77 <freddy77>
Date:   Sat Jun 26 07:23:40 2010 +0000

    add test for cursors on rpc

diff --git a/ChangeLog b/ChangeLog
index 271cb6d..40b021b 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,6 @@
+Sat Jun 26 09:23:34 CEST 2010    Frediano Ziglio <freddy77_A_gmail_D_com>
+	* src/odbc/unittests/cursor2.c: add test for cursors on rpc
+
 Sat Jun 26 09:19:45 CEST 2010    Frediano Ziglio <freddy77_A_gmail_D_com>
 	* src/odbc/unittests/cursor2.c: reuse CheckCursor
 
@@ -2494,4 +2497,4 @@ Wed Jan  9 19:54:43 EST 2008	JK Lowden <jklowden@freetds.org>
 	* ChangeLog-0.82 added because of release
 	
 $FreeTDS$
-$Id: ChangeLog,v 1.3035 2010/06/26 07:19:54 freddy77 Exp $
+$Id: ChangeLog,v 1.3036 2010/06/26 07:23:40 freddy77 Exp $
diff --git a/src/odbc/unittests/cursor2.c b/src/odbc/unittests/cursor2.c
index 28cc035..e16f726 100644
--- a/src/odbc/unittests/cursor2.c
+++ b/src/odbc/unittests/cursor2.c
@@ -1,8 +1,11 @@
 #include "common.h"
 
-/* Test cursor do not give error for statement that do not return rows  */
+/*
+ * 1) Test cursor do not give error for statement that do not return rows
+ * 2) Test cursor returns results on language RPCs
+ */
 
-static char software_version[] = "$Id: cursor2.c,v 1.7 2010/06/26 07:19:54 freddy77 Exp $";
+static char software_version[] = "$Id: cursor2.c,v 1.8 2010/06/26 07:23:40 freddy77 Exp $";
 static void *no_unused_var_warn[] = { software_version, no_unused_var_warn };
 
 int
@@ -26,6 +29,21 @@ main(int argc, char *argv[])
 
 	CHKGetDiagRec(SQL_HANDLE_STMT, Statement, 1, sqlstate, NULL, msg, sizeof(msg), NULL, "No");
 
+
+	ResetStatement();
+	CommandWithResult(Statement, "drop proc sp_test");
+	Command("create proc sp_test @name varchar(30) as select 0 as pippo select 1 as 'test', @name as 'nome'");
+
+	ResetStatement();
+	CHKSetStmtAttr(SQL_ATTR_CURSOR_TYPE, (SQLPOINTER) SQL_CURSOR_STATIC, SQL_IS_INTEGER, "S");
+
+	Command(" exec sp_test 'ciao'");
+
+	CHKFetch("S");
+
+	ResetStatement();
+	Command("drop proc sp_test");
+
 	Disconnect();
 	
 	return 0;

